<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml" encoding="UTF-8"/>

	<xsl:decimal-format name="european" decimal-separator="." grouping-separator=","/>

	<xsl:param name="mode"/>

	<xsl:template match="stock_request">
		<!--Facilitor custom XSL template for stock_request info -->
		<xsl:element name="stock_request">
    		<xsl:element name="part">
        		<xsl:element name="number">
    				<xsl:value-of select="part/number"/>
        		</xsl:element>
        		<xsl:element name="group">
    				<xsl:value-of select="part/group"/>
        		</xsl:element>
		    </xsl:element>
		</xsl:element>
	</xsl:template>

    <xsl:template match="stock_response">
		<!--Facilitor custom XSL template for stock_response info -->
		<xsl:element name="facilitor">
    		<xsl:element name="stock_response">
        		<xsl:element name="part">
            		<xsl:element name="number">
        				<xsl:value-of select="part/number"/>
            		</xsl:element>
            		<xsl:element name="amount">
        				<xsl:value-of select="part/amount"/>
            		</xsl:element>
    		    </xsl:element>
    		</xsl:element>
		</xsl:element>
	</xsl:template>

	
	<xsl:template match="facilitor">
		<xsl:apply-templates select="folder"/>
		<xsl:apply-templates select="stock_request"/>
		<xsl:apply-templates select="bestelopdracht"/>
	</xsl:template>

	<xsl:template match="/">
		<xsl:choose>
			<xsl:when test="$mode='getExtension'">
				<xsl:element name="format">
					<xsl:element name="extension">xml</xsl:element>
				</xsl:element>
			</xsl:when>
			<xsl:otherwise>
				<xsl:apply-templates select="facilitor"/>
				<xsl:apply-templates select="stock_response"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet><!-- Stylus Studio meta-information - (c) 2004-2006. Progress Software Corporation. All rights reserved.
<metaInformation>
<scenarios ><scenario default="yes" name="Scenario1" userelativepaths="yes" externalpreview="no" url="file:///c:/temp/voorraadresp.xml" htmlbaseurl="" outputurl="" processortype="internal" useresolver="yes" profilemode="0" profiledepth="" profilelength="" urlprofilexml="" commandline="" additionalpath="" additionalclasspath="" postprocessortype="none" postprocesscommandline="" postprocessadditionalpath="" postprocessgeneratedext="" validateoutput="no" validator="internal" customvalidator=""/></scenarios><MapperMetaTag><MapperInfo srcSchemaPathIsRelative="yes" srcSchemaInterpretAsXML="no" destSchemaPath="" destSchemaRoot="" destSchemaPathIsRelative="yes" destSchemaInterpretAsXML="no"/><MapperBlockPosition></MapperBlockPosition><TemplateContext></TemplateContext><MapperFilter side="source"></MapperFilter></MapperMetaTag>
</metaInformation>
-->